Announcement

Collapse
No announcement yet.

More Wine Vulkan Code Goes Mainline, Hits First Milestone

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Schtufbox
    replied
    Originally posted by Thunderbird View Post

    No, the current patches in main Wine are not sufficient to run anything besides vulkaninfo. You need to use my wine-vulkan branch for the time being (though I track regular Wine closely). Roughly half of my patches are in main Wine, it will probably take until Wine 3.5 or maybe Wine 3.4 if things go well this week for the bulk to be integrated.
    I realised shortly after posting, that during my testing I got mixed up with which version of wine I was testing. You're quite correct (as you should be, being the maker of wine-vulkan lol) what I had mistakenly done was run under the wine-staging-pba 3.3 build that I'd installed the vulkan stuff from staging 2.21 into (which does work) toooo many wine versions!
    I'd edit my original post but...don't know how.

    Leave a comment:


  • Thunderbird
    replied
    Originally posted by Schtufbox

    Been lurking for years, but finally registered to say... Yes...yes it is. I just compiled wine to test it, and yeah it works, as long as installing the vulkan SDK as per wine-vulkan.
    No, the current patches in main Wine are not sufficient to run anything besides vulkaninfo. You need to use my wine-vulkan branch for the time being (though I track regular Wine closely). Roughly half of my patches are in main Wine, it will probably take until Wine 3.5 or maybe Wine 3.4 if things go well this week for the bulk to be integrated.

    Leave a comment:


  • ssorgatem
    replied
    Originally posted by Nille_kungen View Post
    You should have followed the link i posted.
    https://github.com/doitsujin/dxvk
    Requirements:
    • wine-vulkan for Vulkan support
    • Meson build system (at least 0.43)
    • MinGW64 compiler and headers (requires threading support)
    • glslang front end and validator
    That doesn't answer whether the recently committed changes are enough for DXVK.

    Leave a comment:


  • Nille_kungen
    replied
    Originally posted by ssorgatem View Post
    So, is this enough for DXVK?
    You should have followed the link i posted.
    https://github.com/doitsujin/dxvk
    Requirements:
    • wine-vulkan for Vulkan support
    • Meson build system (at least 0.43)
    • MinGW64 compiler and headers (requires threading support)
    • glslang front end and validator

    Leave a comment:


  • LeJimster
    replied
    Originally posted by Nille_kungen View Post
    And this wine-vulkan is needed for DXVK support, so one thing less to worry about if you wants to try DXVK.
    Yep and DXVK is looking really good already. Seeing Fallout 4 run mostly at 60fps is something and Witcher 3 is making big strides. Thoroughly impressed with his fast the progress has been with that project.

    Leave a comment:


  • ssorgatem
    replied
    So, is this enough for DXVK?

    Leave a comment:


  • Nille_kungen
    replied
    And this wine-vulkan is needed for DXVK support, so one thing less to worry about if you wants to try DXVK.

    Leave a comment:


  • More Wine Vulkan Code Goes Mainline, Hits First Milestone

    Phoronix: More Wine Vulkan Code Goes Mainline, Hits First Milestone

    The latest work by Roderick Colenbrander on "winevulkan" was merged to mainline Wine Git on Friday and also marks their first self-appointed milestone in bringing up Vulkan API support within Wine...

    http://www.phoronix.com/scan.php?pag...tone-1-Achieve
Working...
X